var searchUrl = '/custom/list/';
var embedUrl = '/custom/embed/';
var gridCellClass = 'model_icon';

var customFilter = {};

function refreshFilter()
{
    var req = searchUrl + '?';
    var i=0;

    for (var k in customFilter) {
        if (customFilter[k] != '') {
            if (i++ > 0) req += '&';
            req += customFilter[k];
        }
    }

    $('#customDebug').html(req);
    loadSearch(req);
}

function addFilter(key, value)
{
    customFilter[key] = value;
    refreshFilter();
    return false;
}

function removeFilter(key, value)
{
    customFilter[key] = '';
    refreshFilter();
    return false;
}

function loadSearch(req)
{
    var first = true;
    $('#customList').load(req, function(html) {
        $('#customList').find('.model_icon').each(function(e) {
            if (first) {
               var site = $(this).data('site');
               var nickname = $(this).data('nickname');
               $('#customChatEmbed').load(embedUrl + site + '/' + nickname);
               first = false;
            }
            $(this).click(function() {
                var site = $(this).data('site');
                var nickname = $(this).data('nickname');
                $('#customChatEmbed').load(embedUrl + site + '/' + nickname);
                return false;
            });
        });
    });
}

$(document).ready(function () {

    loadSearch(searchUrl + '?layout=0');

    $('#customSelectors a').click(function() {

        if ($(this).hasClass('active')) {
            $(this).removeClass('active');
            removeFilter($(this).data('field'));
        }
        else {
            $(this).parent().find('a').removeClass('active');
            $(this).addClass('active');
            addFilter($(this).data('field'), $(this).data('value'));
        }

    });

});
